<?php

use Illuminate\Support\Facades\Route;
use Modules\CarFeature\Http\Controllers\APIController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::prefix('/CarFeature')->group(function () {
    Route::get('/', [APIController::class, 'index']);
    Route::post('/', [APIController::class, 'store']);
    Route::get('/{id}', [APIController::class, 'show']);
    Route::put('/{id}', [APIController::class, 'update']);
    Route::delete('/{id}', [APIController::class, 'destroy']);
});